#
# spec file for package gnome-menus-branding-openSUSE (Version 11.1)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# norootforbuild

Name:           gnome-menus-branding-Linkat
Version:        11.1
Release:        35.1
Group:          System/GUI/GNOME
License:        BSD 3-clause (or similar)
Summary:        Linkat branding of gnome-menus
Source1:        %{name}-settings.menu
Source2:        %{name}-Hidden.directory
Provides:       gnome-menus-branding = 2.23
Conflicts:      otherproviders(gnome-menus-branding)
Supplements:    packageand(gnome-menus:branding-Linkat)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# To be in sync with upstream defaults, do branding as a patch for upstream file.
# WARNING: As this package conflicts with gnome-menus-branding-openSUSE, you cannot
#          reuse build root. You have to build in a clean build root every time!
BuildRequires:  gnome-menus-branding-upstream update-desktop-files
# For directory ownership:
BuildRequires:  gnome-menus
BuildArch:      noarch
Vendor:         linkat

%description
This package provides Linkat menu look for gnome-menus.

%prep
%setup -q -T -c %{name}-%{version}
cp -a %{S:2} Hidden.directory
# We will base menus on upstream menus:
cp -a %{_sysconfdir}/xdg/menus/*.menu .
# Override settings.menu with our version. It doesn't make sense to patch it,
# they're just completely different
cp -a %{S:1} settings.menu

%build

%install
install -d $RPM_BUILD_ROOT%{_datadir}/desktop-directories
install -m0644 *.directory $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus
install -m0644 *.menu $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%{_datadir}/desktop-directories/*.directory
%{_sysconfdir}/xdg/menus/*.menu

%changelog
* Fri Mar 26 2010 dlara@espherica.com
- Changed openSUSE brand to Linkat brand
* Thu Jul 30 2009 vuntz@novell.com
- Update gnome-menus-branding-openSUSE-settings.menu:
  + make it closer to the gnomecc.menu from upstream
  + remove usage of old X-Ximian categories that are not in use
    anymore
  + remove some of the previously included YaST tools, they don't
    make sense most of the time there.
* Sun Jan 25 2009 vuntz@novell.com
- Remove duplicate category in settings.menu
- Remove old hack to keep some preferences.menu compatibility file.
  It should not be needed anymore with the packages we have now.
* Tue Nov  4 2008 vuntz@novell.com
- Upstream has changed the way settings.menu is used for 2.24, so
  kill preferences.menu and just use settings.menu now.
- Keep preferences.menu as a link to settings.menu, since we don't
  want to break anything because of this.
- Conflicts with other branding providers.
- Spec cleanup.
* Thu Jul 31 2008 sbrabec@suse.cz
- New SuSE package (fate#303889).
